
Katello - Bug #5255

Calling version destroy takes 20+ minutes

04/21/2014 05:24 PM - David Davis

Status: Closed   

Priority: High   

Assignee: David Davis   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It looks like it's deleting repo packages during the plan phase. Also the deletion is really slow because it's using old code instead of

the new code (which does batch updates).

Related issues:

Blocks Katello - Support #5179: Get a baseline for content view performance Closed 04/14/2014

Associated revisions

Revision 1cf12818 - 04/22/2014 05:30 PM - David Davis

Fixes #5255 - Version destroy plan phase clears packages

Removing before_destroy hook and creating a dynflow action to handle updating

ElasticSearch for repositories. Also removed package orphan code from

clear_packages_index.

Revision 563538ae - 04/23/2014 04:22 PM - David Davis

Merge pull request #3994 from daviddavis/temp/20140421111807

Fixes #5255 - Fixing clearing content for repo destroy

History

#1 - 04/21/2014 06:16 PM - David Davis

- Priority changed from Normal to High

#2 - 04/21/2014 06:20 PM - David Davis

Total time was 23 minutes. I'm going to remove the hook in the ElasticSearch repo module and remove the orphan code from clear_packages_index.

#3 - 04/21/2014 08:19 PM - David Davis

I created a separate dynflow action for updating the content in ElasticSearch when a repo gets deleted. Apparently the code was relying on the

before_destroy hook.

#4 - 04/21/2014 08:21 PM - David Davis

To test this:

Create a content view with RHEL 6 RPMs. Publish it. Remove the version via the CLI. Notice that the CLI times out. It should only take a matter of

seconds to create a dynflow task. However, it's actually deleting the ES content in the plan phase.

#5 - 04/22/2014 01:29 PM - David Davis

- Blocks Support #5179: Get a baseline for content view performance added

#6 - 04/22/2014 06:22 PM - David Davis

- Subject changed from Calling version destroy takes 10+ minutes to Calling version destroy takes 25+ minutes

05/18/2024 1/2



#7 - 04/22/2014 06:23 PM - David Davis

- Subject changed from Calling version destroy takes 25+ minutes to Calling version destroy takes 20+ minutes

#8 - 04/23/2014 04:52 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1cf128184cf205e6d534ad213f9f8c5584b60bda.

#9 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#10 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
